Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Highlighted
Developer
Posts: 52
Registered: ‎04-22-2012
My Device: Z10
My Carrier: Mobilicity
Accepted Solution

How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

Where can I download Momentics 10.1 ?  10.2 is a disaster.. I updated through the update site and dont have a copy of my 10.1 installer.  ive lost 2 full days to this IDE. My project was built on 10.1.0.4651. It now doesnt build and run correctly after building on 10.2

 

I have pure errors where none existed before in 10.1. Almost all are related to Custom StandardListItem components

 

Type mismatch of value of the 'content' default property. Expecting QDeclarativeComponent and found CustomStandardListItem.

 

You guys need to let us downgrade some how so we can continue to work. Or at least make the 10.1 momentics ide available from somewhere. I have completely scoured the BB downloads and cant find any help. 

 

 

Developer
Posts: 16,985
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

can't you just ignore these errors?
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
Posts: 52
Registered: ‎04-22-2012
My Device: Z10
My Carrier: Mobilicity

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

no the app once deployed on the phone doesnt work.. I did ignore. I said im not dealing with these errors, just build and deploy.. and it did. I rebuild after clean, and it compiles and deploys just fine.. but the app doesnt work. 

 

Developer
Posts: 52
Registered: ‎04-22-2012
My Device: Z10
My Carrier: Mobilicity

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

moreover, where it fails in the app, is exactly those QML documents that are giving me those errors. 

Developer
Posts: 52
Registered: ‎04-22-2012
My Device: Z10
My Carrier: Mobilicity

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

and additionally, how do I even know what OS version this momentics 10.2 is using? in 10.1 I could choose the exact version of the OS api. I was on 10.1.0.4651 and I also updated my phone to match. But I cant seem to find anywhere in 10.2 to choose the exact version and im absolutely positive with these issues that it (the 10.1 version in momentics) does not match the phone. 

Developer
Posts: 6,152
Registered: ‎07-05-2012
My Device: Playbook, Dev Alpha C, Z10 LE, Z30
My Carrier: Orange

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

Select the menu option Window->Show Advanced Toolbars.

 

You'll then be able to select the OS verision to build to.

 


If you've been helped click on Like Button, if you've been saved buy the app. Smiley Happy

Developer of stokLocker, Sympatico and Super Sentences.
Developer
Posts: 16,985
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

the exact version of the OS is only needed to debug. to build you use 10.0, 10.1 or 10.2.

if you don't get compile errors and the qml displays the issue is somewhere else.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
Posts: 52
Registered: ‎04-22-2012
My Device: Z10
My Carrier: Mobilicity

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

Youre right.. it looks like the problem is related to QTimer. The only QML docs that cause an issue have a QTimer object being instantiated.

 

And I just saw another individual having the same issue I believe.

Developer
Posts: 52
Registered: ‎04-22-2012
My Device: Z10
My Carrier: Mobilicity

Re: How to Downgrade 10.2 Momentics to 10.1 .. Seriously.. this is a disaster.

This thread can be closed.. my issue was a slot named the same as a signal. all the other errors through me off. Sorry for the confusion. Momentics is awesome Smiley Happy